Create callback request

Create callback request,* specifies mandatory field in transaction.

- id: Unique id, the card issuer's public transaction id.
- transaction_reference
: Unique id, the card issuer's public transaction id.
- auth_code: The identifier received for the authorization from the network. Some clearings do not have an auhtorization id.
- auth_date
: Transaction date. Date of the transaction.
- auth_time: Transaction time. Timestamp of the transaction in ISO 8601.
- auth_timezone
: Transaction timezone.
- auth_masked_card_number: Masked card no.
- reference_no
: Retrieval reference number for the transaction.
- type: type of transaction, enum: CARD_PURCHASE, CASH_WITHDRAWAL, CASH_DEPOSIT, CASHBACK, ACCOUNT_TRANSFER, MOBILE_PURCHASE, INTERNET_PURCHASE, RECURRING_PURCHASE, QUASI_CASH, MAIL_ORDER_OR_TELEPHONE_ORDER, RETURN, SPECIAL_PAYMENT_TRANSACTION, OTHER, CARD_ON_FILE
- state: State of the transaction payment processing, enum: AUTHORIZED, DEBITED, DELETED, PSP_DEBITED, PREAUTHORIZED
- exp: Transactions in AUTHORIZED state have an expiration time, after which they must be discarded, unless a change event comes and changes the transactions state to DEBITED, example: 2019-11-01T04:30:53Z.
- fx_rate: Foreign currency exchange rate used to clear a transaction. (If applicable.)
- fx_markup: markup fee added for foreign transaction. (If applicable.)
- invoiced_amount: Invoiced amount. Purchase amount in cardholder currency. Purchases (money is taken from card/account) have a negative amount, and refunds have a pos itive amount.
- invoiced_currency: Invoiced currency code, i.e. the cardholder's own currency.
- auth_amount
: Original amount if purchase done in some other currency.
- auth_currency: Original currency code the transaction was done in.

Merchant
- merchant_no
: Card Acceptor Id, Merchant id.
- merchant_name: Card Acceptor Name.
- merchant_street_address: Street address of merchant. If applicable.
- merchant_city: City of merchant. If applicable.
- merchant_telephone: Telephone number. If applicable.
- merchant_country: Country, two-letter ISO country code of merchant. If applicable.
- terminal_id
: Card Acceptor Terminal Id.
- mcc: Merchant Category Code. If applicable.

- card_holder_present: Cardholder present, not present, e-commerce, telephone, online. If applicable.
- buyer_id: org.no for corporate card, then buyer party id for the corporate customer. If applicable.
- departure_date [delivery note]: Travel agency submitted departure date. If applicable.
- invoice_number [delivery note]: Travel agency submitted invoice number / delivery note number. If applicable.
- partner_id [delivery note]: Card issuer partner code for travel agency. If applicable.
- etn_digid_prefix [airline data]: Date of travel for airline transaction data. If applicable.
- receipt_no [airline data]: Ticket number for airline transaction data. If applicable.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request body structure

The callback request body consists of:

  • top-level callback delivery settings
  • one nested transaction object containing the transaction fields

Top-level fields

  • callback_path: Full callback URL or callback path for the receiving endpoint in the current environment.
  • callback_content_type: Content type expected by the receiving endpoint, for example application/json or text/xml.
  • transaction: Object containing the transaction data used for receipt matching.

The request body contains one nested transaction object.

Example request body

{
  "callback_path": "/your path/",
	"callback_content_type": "application/json",
  "transaction": {
    "id": "YOUR_REFERENCE",
    "merchant_no": "00000000000000000000000000012345678",
    "terminal_id": "0000000012345678",
    "reference_no": "123456789123",
    "auth_code": "123456",
    "auth_date": "2026-04-14",
    "auth_currency": "SEK",
    "auth_masked_card_number": "**** **** **** 1111",
    "auth_amount": 290.00,
    "clearing": true,
    "auth_time": "13:05:42",
    "auth_timezone": "Europe/Stockholm"
  }
}

Mandatory Fields

  • callback_path: Full callback URL for the receiving endpoint in the current environment.
  • callback_content_type: Content type expected by the receiving endpoint, i.e. 'application/json', 'text/xml'

  • transaction: Object containing the transaction data used for receipt matching.
  • id: Unique id, the card issuer’s public transaction id.
  • auth_time: (Field: 12 in ISO8583) Transaction time. Timestamp of the transaction in ISO 8601 format.
  • auth_date: (Field: 13 in ISO8583)Transaction date. Date of the transaction.
  • auth_timezone: Transaction timezone.
  • reference_no:(Field: 37 in ISO8583) Retrieval reference number for the transaction.
  • auth_code: (Field: 38 in ISO8583) The identifier received for the authorization from the network.
  • terminal_id: (Field: 41 in ISO8583) Card Acceptor Terminal Id.
  • merchant_no: (Field: 42 in ISO8583) Card Acceptor Id, Merchant id.
  • merchant_name: (Field: 43 in ISO8583) Card Acceptor Name, name of merchant.
  • auth_masked_card_number: Masked card number.
  • auth_amount: Original amount if the purchase was made in a different currency.
  • auth_currency: Original currency code in which the transaction was made.
  • clearing: true/false. If the transaction state is "cleared" or not.

Before you start

Before creating callback requests, make sure that:

  • a callback domain has been configured in the partner portal
  • the receiving system can validate X-Data-Signature
  • the transaction payload follows the structure described in Transaction definition

Path Params
string
required

ID of the member

Body Params

Callback Request object to create

Responses
401

Unauthenticated

403

Access denied

422

Validation error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here!